/*****************************************************************************
*  acd2tdt.h
*
*****************************************************************************/
#include <stdio.h>
#include "dt_smiles.h"

#define ABS(n) ((n) > 0 ? (n) : -(n))
#define MIN(a, b) ((a) < (b) ? (a) : (b))
#define MAX(a, b) ((a) > (b) ? (a) : (b))
#define TRUE 1
#define FALSE 0
 

/*****************************************************************************
*  prototypes for public functions in acd_units.c
*****************************************************************************/
void  *acd_read_units (char *fn);
void   acd_zap_units  (void *units);
float  acd_convert2dpg(void *units,  char *price,  char *currency,
                       char *amount, char *aunits, char *amw);

/*****************************************************************************
* prototype for function in ctab2dep.c
*****************************************************************************/
dt_Handle ctab2dep(FILE *fp);

/*****************************************************************************
* declarations of functions in masses.c
*****************************************************************************/
dt_Real    atomic_mass(dt_Handle atom);
dt_Integer normal_mass(dt_Handle atom);
dt_Real    amw        (dt_Handle mol );
dt_Real rd_amw(dt_Handle mol);


/*****************************************************************************
* declarations of functions in du_acd2tdt_utils.c
*****************************************************************************/
int du_cas_standardize(int *plen, char *cas_str, char **pnew);
int du_cas_checkdigit(int cas);
char *du_white0(char *s);
char *du_nopunct(char *s);
char *du_upcase(char *s);
char *du_skipwhite(char *p);
int du_millisec(int start);

/*****************************************************************************
* functions that have a function as a argument
*****************************************************************************/
typedef int (*FUNCTION)(void *, void *);
int du_mergesort_ptr(int nitems, void **array, void **a2, FUNCTION);
void merge_ptr(void **src, void **dest, int runsize, int len, FUNCTION);
