#!/usr/bin/env perl
#############################################################################
### partition.pl - partition and sort suppliers into A-Z files.
###
### Author: Jeremy Yang
### 12 Jul 1999
#############################################################################

$* = 1;  ## enable multi-line matching

if (!open(INPUT, "$ARGV[0]")) {
  print STDERR "Can't open \"$ARGV[0]\"\n"; 
  exit;
} 

$ntotal = 0;

foreach $letter ('A' .. 'Z') {
  %data = ( );
  $n = 0;

  print STDERR "acd-suppliers-${letter}.html... ";

  $filehandle = "file".$letter;
  open($filehandle, ">acd-suppliers-${letter}.html");

find:

  do {
    if (!($_ = <INPUT>)) { goto printfile; }
  } until (/^<HR><A NAME=${letter}/);

  chop();

start:

  ++$n;

  ($name = $_) =~ s/^<HR><A NAME=([^>]+)>.*$/$1/;

  $data{$name} = "$_\n";


  ##################################################################
  ### Suck up rest of supplier record.
  ##################################################################
  while (<INPUT>) {
    chop();
    if (/^<HR><A NAME=${letter}/) { goto start; }
    elsif (/^<HR><A NAME=/)       { goto find; }
  
    $data{$name} .= "$_\n";
  }

printfile:

  ##################################################################
  ### Print sorted records to file.
  ##################################################################
  foreach $name (sort(keys(%data))) {
    print $filehandle "$data{$name}\n";
  }
  close($filehandle);

  print STDERR "$n suppliers written.\n";
  $ntotal += $n;
  if (!seek(INPUT, 0, 0))
    { print STDERR "Couldn't rewind \"$ARGV[0]\"\n"; exit };
}

close(INPUT);

print STDERR "$ntotal total suppliers written.\n";
print STDERR "Bye!\n";
