/****************************************************************************
*** WDI-DESIGN.sql - DayCart version of Derwent WDI (currently 2001.3)
*** Author: Jeremy Yang
*** Rev:     5 Oct 2001
****************************************************************************/

CREATE TABLE WDI_MAIN (
        DXRN VARCHAR(9) NOT NULL PRIMARY KEY,
        SMILES VARCHAR(4000),
        ISOMER VARCHAR(4000),
        SUBSTRUCTURES VARCHAR(350),
        PREF_NAME VARCHAR(50),
        ACTIVITY VARCHAR(250),
        AVG_MOLWT NUMBER(8,3),
        XY_COORDS CLOB,
        XY_COORDS_COMMENT VARCHAR(100),
        MOLFORM VARCHAR(55),
        UPDATE_CODE CHAR(15),
        MECHANISM VARCHAR(1250),
        JOURNAL_REF VARCHAR(400),
        JOURNAL_PUB VARCHAR(100),
        JOURNAL_ID VARCHAR(10),
        SUBSTANCE_DESC VARCHAR(450),
        ADVERSE_EFFECTS VARCHAR(4000),
        PRECAUTIONS VARCHAR(1350),
        INTERACTIONS VARCHAR(950),
        CONTRAINDICATIONS VARCHAR(720),
        INDICATIONS_USAGE VARCHAR(1250),
        REFERENCE VARCHAR(80),
        CONFERENCE VARCHAR(200),
        CONFERENCE_REFNO VARCHAR(55),
        CONFERENCE_DETAILS VARCHAR(55),
        CONFERENCE_WDA_REFNO VARCHAR(25)
    );

CREATE TABLE WDI_DRN (
        DXRN VARCHAR(9) NOT NULL,
        DERWENT_NAME VARCHAR(10) NOT NULL,
        CONSTRAINT FK_DRN_DXRN FOREIGN KEY (DXRN) REFERENCES WDI_MAIN(DXRN)
    );

CREATE TABLE WDI_USAN (
        DXRN VARCHAR(9) NOT NULL,
        US_ADOPTED_NAME VARCHAR(40) NOT NULL,
        US_ADOPTED_NAME_CODE VARCHAR(5),
        CONSTRAINT FK_USAN_DXRN FOREIGN KEY (DXRN) REFERENCES WDI_MAIN(DXRN)
    );

CREATE TABLE WDI_CAS (
        DXRN VARCHAR(9) NOT NULL,
        CAS VARCHAR(11) NOT NULL,
        CONSTRAINT FK_CAS_DXRN FOREIGN KEY (DXRN) REFERENCES WDI_MAIN(DXRN)
    );

CREATE TABLE WDI_NAM (
        DXRN VARCHAR(9) NOT NULL,
        NAM VARCHAR(120) NOT NULL,
        CONSTRAINT FK_NAM_DXRN FOREIGN KEY (DXRN) REFERENCES WDI_MAIN(DXRN)
    );

CREATE TABLE WDI_APN (
        DXRN VARCHAR(9) NOT NULL,
        APPR_NAME VARCHAR(40) NOT NULL,
        APPR_NAME_CODE VARCHAR(4),
        CONSTRAINT FK_APN_DXRN FOREIGN KEY (DXRN) REFERENCES WDI_MAIN(DXRN)
    );

CREATE TABLE WDI_INN (
        DXRN VARCHAR(9) NOT NULL,
        INTL_NAME VARCHAR(40) NOT NULL,
        INTL_NAME_STATUS VARCHAR(10),
        CONSTRAINT FK_INN_DXRN FOREIGN KEY (DXRN) REFERENCES WDI_MAIN(DXRN)
    );

CREATE TABLE WDI_TN (
        DXRN VARCHAR(9) NOT NULL,
        TRADENAME VARCHAR(40) NOT NULL,
        TRADENAME_MANUF VARCHAR(25),
        TRADENAME_COUNTRY VARCHAR(150),
        CONSTRAINT FK_TN_DXRN FOREIGN KEY (DXRN) REFERENCES WDI_MAIN(DXRN)
    );

CREATE TABLE WDI_COMB_PREP (
        DXRN VARCHAR(9) NOT NULL,
        COMB_PREP VARCHAR(40) NOT NULL,
        COMB_PREP_MANUF VARCHAR(40),
        COMB_PREP_COUNTRY CHAR(2),
        COMB_PREP_COMPONENTS VARCHAR(375),
        CONSTRAINT FK_COMB_PREP_DXRN FOREIGN KEY (DXRN) REFERENCES WDI_MAIN(DXRN)
    );

CREATE TABLE WDI_DBINFO (
        ID VARCHAR(100) NOT NULL,
        METADATA VARCHAR(4000)
    );

QUIT;
