/****************************************************************************
*** create.sql  - Create DayCart indices.  Add metadata records.
*** Author:   Jeremy Yang
****************************************************************************/

CREATE VIEW WDI_ALLNAMES AS (
	SELECT DXRN,DERWENT_NAME "NAME" FROM WDI_DRN
	UNION SELECT DXRN,US_ADOPTED_NAME FROM WDI_USAN
	UNION SELECT DXRN,NAM FROM WDI_NAM
	UNION SELECT DXRN,APPR_NAME FROM WDI_APN
	UNION SELECT DXRN,TRADENAME FROM WDI_TN
	);

CREATE INDEX WDI_SMI_EXACT_INDEX ON WDI_MAIN(SMILES)
         INDEXTYPE IS c$dcischem.ddexact;
CREATE INDEX WDI_ISM_EXACT_INDEX ON WDI_MAIN(ISOMER)
         INDEXTYPE IS c$dcischem.ddexact;
CREATE INDEX WDI_SMI_BLOB_INDEX on WDI_MAIN(SMILES)
         INDEXTYPE IS c$dcischem.ddblob PARAMETERS ('fpsize=1024');
CREATE INDEX WDI_SMI_GRAPH_INDEX on WDI_MAIN(SMILES)
         INDEXTYPE IS c$dcischem.ddgraph;

CREATE INDEX WDI_DRN_DXRN_INDEX ON WDI_DRN(DXRN);
CREATE INDEX WDI_USAN_DXRN_INDEX ON WDI_USAN(DXRN);
CREATE INDEX WDI_CAS_DXRN_INDEX ON WDI_CAS(DXRN);
CREATE INDEX WDI_NAM_DXRN_INDEX ON WDI_NAM(DXRN);
CREATE INDEX WDI_APN_DXRN_INDEX ON WDI_APN(DXRN);
CREATE INDEX WDI_INN_DXRN_INDEX ON WDI_INN(DXRN);
CREATE INDEX WDI_TN_DXRN_INDEX ON WDI_TN(DXRN);
CREATE INDEX WDI_COMB_PREP_DXRN_INDEX ON WDI_COMB_PREP(DXRN);

INSERT INTO WDI_DBINFO VALUES (
	'MESSAGE',
	'World Drug Index 2001 Version 3 '
	|| '-- COPYRIGHT [C] 2001 DERWENT INFORMATION LTD.' );
INSERT INTO WDI_DBINFO VALUES (
	'VERSION',
	'WDI 2001.3' );

QUIT;
